'use strict';

var DaybookCtrl = ['$scope', '$location', 'info', function ($scope, $location, info) {
    $scope.info = info;
    $scope.show = function () {
        $location.path('/Daybook').search({StartDate:$scope.info.StartDate, FinishDate:$scope.info.FinishDate});
    };
    $('#txtStartDate').focus();
}]
DaybookCtrl.resolve = {
    info:['$q', '$route', 'Daybook', function ($q, $route, Daybook) {
        var deferred = $q.defer();

        var start_date = $route.current.params.StartDate;
        var finish_date = $route.current.params.FinishDate;

        var successCb = function(result){
            deferred.resolve(result);
        };

        if (typeof start_date === 'undefined' || typeof finish_date === 'undefined') {
            Daybook.get({}, successCb);
        } else {
            Daybook.get({StartDate:start_date, FinishDate:finish_date}, successCb);
        }
        return deferred.promise;
    }]
};